Bug 1909558 - radeontop doesn't use Fedora CFLAGS and gets built again in %install
Summary: radeontop doesn't use Fedora CFLAGS and gets built again in %install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: radeontop
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-20 23:18 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2021-11-12 00:58 UTC (History)
1 user (show)

Fixed In Version: radeontop-1.3.post4-3g1552170.fc34 radeontop-1.3.post4-3g1552170.fc33 radeontop-1.3.post4-4g1552170.fc35 radeontop-1.3.post4-4g1552170.fc34 radeontop-1.3.post4-4g1552170.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-06 01:26:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2020-12-20 23:18:27 UTC
Description of problem:
radeontop doesn't get built with Fedora-mandated CFLAGS and the code gets compiled again in %install section.

Version-Release number of selected component (if applicable):
1.3-1.fc33

How reproducible:
Always

Steps to Reproduce:
1. Rebuild package.

Actual results:
...
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.eYEf8R
+ umask 022
+ cd /builddir/build/BUILD
+ cd radeontop-1.3
+ /usr/bin/make -O -j6 V=1 VERBOSE=1
./getver.sh
cc -Os -Wall -Wextra -pthread -Iinclude -ffunction-sections -fdata-sections  -I/usr/include/libdrm   -DENABLE_XCB=1 -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600  -DENABLE_NLS=1 -DHAS_DRMGETDEVICE=1 -DENABLE_AMDGPU=1 -DHAS_AMDGPU_QUERY_SENSOR_INFO=1 -s   -c -o auth.o auth.c
...
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.80uf0Q
+ umask 022
+ cd /builddir/build/BUILD
+ '[' /builddir/build/BUILDROOT/radeontop-1.3-1.fc33.x86_64 '!=' / ']'
+ rm -rf /builddir/build/BUILDROOT/radeontop-1.3-1.fc33.x86_64
++ dirname /builddir/build/BUILDROOT/radeontop-1.3-1.fc33.x86_64
+ mkdir -p /builddir/build/BUILDROOT
+ mkdir /builddir/build/BUILDROOT/radeontop-1.3-1.fc33.x86_64
+ cd radeontop-1.3
+ /usr/bin/make install DESTDIR=/builddir/build/BUILDROOT/radeontop-1.3-1.fc33.x86_64 'INSTALL=/usr/bin/install -p' LIBDIR=lib64
./getver.sh
cc -Os -Wall -Wextra -pthread -Iinclude -ffunction-sections -fdata-sections  -I/usr/include/libdrm   -DENABLE_XCB=1 -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600  -DENABLE_NLS=1 -DHAS_DRMGETDEVICE=1 -DENABLE_AMDGPU=1 -DHAS_AMDGPU_QUERY_SENSOR_INFO=1 -s   -c -o auth.o auth.c
...

Expected results:
Binaries built with Fedora CFLAGS (https://docs.fedoraproject.org/en-US/packaging-guidelines/#_compiler_flags) and not built again in %install.

Additional info:
See the build.log in koji: https://koji.fedoraproject.org/koji/buildinfo?buildID=1657373 -> https://kojipkgs.fedoraproject.org//packages/radeontop/1.3/1.fc33/data/logs/x86_64/build.log

Comment 1 Fedora Update System 2021-08-16 15:28:41 UTC
FEDORA-2021-82193a55cd has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-82193a55cd

Comment 2 Fedora Update System 2021-08-16 15:28:41 UTC
FEDORA-2021-21cc12f9a3 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-21cc12f9a3

Comment 3 Fedora Update System 2021-08-17 01:09:21 UTC
FEDORA-2021-21cc12f9a3 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-21cc12f9a3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-21cc12f9a3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-08-17 01:53:51 UTC
FEDORA-2021-82193a55cd has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-82193a55cd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-82193a55cd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-08-25 19:53:31 UTC
FEDORA-2021-21cc12f9a3 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-08-25 20:03:51 UTC
FEDORA-2021-82193a55cd has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Dominik 'Rathann' Mierzejewski 2021-08-26 09:41:04 UTC
Fedora CFLAGS are still not used during build, so this is not completely resolved.

Comment 8 Dominik 'Rathann' Mierzejewski 2021-11-03 14:16:29 UTC
Also, your "- Fix versioning according to the packaging guideline" actually isn't. Instead of 1.3.post4-3g1552170 it should've been 1.3-3.post4.20210723git1552170, but 1.3.post4 > 1.3, so we can't go back to the correct versioning without using epoch right now and 1.3.1 > 1.3.post4 so I think it's not worth fixing immediately as it'll fix itself naturally with the next release.

Comment 9 Fedora Update System 2021-11-03 14:25:31 UTC
FEDORA-2021-632bbbf893 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-632bbbf893

Comment 10 Fedora Update System 2021-11-03 14:25:33 UTC
FEDORA-2021-82c8dfe96d has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-82c8dfe96d

Comment 11 Ben Cotton 2021-11-04 13:37:24 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora Update System 2021-11-04 13:56:45 UTC
FEDORA-2021-632bbbf893 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-632bbbf893`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-632bbbf893

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Ben Cotton 2021-11-04 14:07:01 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora Update System 2021-11-04 14:08:38 UTC
FEDORA-2021-d2d7341538 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d2d7341538`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d2d7341538

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-11-04 14:13:47 UTC
FEDORA-2021-82c8dfe96d has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-82c8dfe96d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-82c8dfe96d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Ben Cotton 2021-11-04 15:04:00 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora Update System 2021-11-06 01:26:54 UTC
FEDORA-2021-d2d7341538 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-11-11 00:54:51 UTC
FEDORA-2021-82c8dfe96d has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2021-11-12 00:58:46 UTC
FEDORA-2021-632bbbf893 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.